package uk.ac.soton.ecs.opmdemo;
import java.io.File;
import java.io.StringWriter;
import java.util.Collection;
import java.util.Collections;
import java.util.LinkedList;
import java.util.List;
import javax.xml.bind.JAXBException;
import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.openprovenance.model.OPMGraph; 
import org.openprovenance.model.OPMFactory; 
import org.openprovenance.model.Edge; 
import org.openprovenance.model.Account; 
import org.openprovenance.model.Annotation; 
import org.openprovenance.model.Overlaps; 
import org.openprovenance.model.AccountRef; 
import org.openprovenance.model.Processes; 
import org.openprovenance.model.Node; 
import org.openprovenance.model.Agent; 
import org.openprovenance.model.Process; 
import org.openprovenance.model.Artifact; 
import org.openprovenance.model.Used; 
import org.openprovenance.model.Role; 
import org.openprovenance.model.EmbeddedAnnotation; 
import org.openprovenance.model.WasGeneratedBy; 
import org.openprovenance.model.WasTriggeredBy; 
import org.openprovenance.model.WasDerivedFrom; 
import org.openprovenance.model.WasControlledBy; 
import org.openprovenance.model.OPMUtilities; 
import org.openprovenance.model.OPMDeserialiser; 
import org.openprovenance.model.OPMSerialiser; 
import org.openprovenance.model.OPMToDot; 
//import org.openprovenance.rdf.OPMXml2Rdf; 


/**
 * Unit test for simple App.
 */
public class ExampleTest 
    extends TestCase
{
    /**
     * Create the test case
     *
     * @param testName name of the test case
     */
    public ExampleTest( String testName )
    {
        super( testName );
    }

    /**
     * @return the suite of tests being tested
     */
    public static Test suite()
    {
        return new TestSuite( ExampleTest.class );
    }

    static OPMGraph graph1;
    static OPMGraph graph2;

    static public OPMFactory oFactory=new OPMFactory();


    /** Creates and serialises an OPM graph. */

    public void testOPM1() throws JAXBException
    {

        OPMGraph graph=new MyGraph().getGraph(oFactory);




        OPMSerialiser serial=OPMSerialiser.getThreadOPMSerialiser();
        StringWriter sw=new StringWriter();
        serial.serialiseOPMGraph(sw,graph,true);
        serial.serialiseOPMGraph(new File("target/example.xml"),graph,true);
        //System.out.println(sw);

        graph1=graph;




        assertTrue( true );
    }


    /** Deserialises an OPM graph. */
    public void testOPM2() throws JAXBException    {
        OPMDeserialiser deserial=OPMDeserialiser.getThreadOPMDeserialiser();
        OPMGraph graph=deserial.deserialiseOPMGraph(new File("target/example.xml"));

        graph2=graph;
        //System.out.println(graph2);

    }

    /** Checks that the graph read from the file is the same as the
     * one created. */
    public void testOPM3() throws JAXBException    {
        //System.out.println("===> " + graph1.getAccounts());
        //System.out.println("===> " + graph2.getAccounts());
        assertTrue (graph1.getAccounts().equals(graph2.getAccounts()));
        assertTrue (graph1.equals(graph2));
    }

    /** Pretty Prints opmgraph. */
    public void testOPM4() throws JAXBException , java.io.FileNotFoundException, java.io.IOException   {
        OPMToDot toDot=new OPMToDot();
        
        toDot.convert(graph1,"target/example.dot", "target/example.pdf");
        assertTrue( true );

    }



//     public void testAnnotationRDF1() throws Exception {
//         OPMXml2Rdf toRdf=new OPMXml2Rdf();
//         //System.out.println("graph is " + graph1);
//         toRdf.convert(graph1,"target/annotation1-rdf.xml");
//     }
    

}
