package uk.ac.soton.ecs.opmdemo;

import org.openprovenance.elmo.RdfOPMFactory;
import org.openprovenance.elmo.RdfObjectFactory;
import org.openprovenance.elmo.RepositoryHelper;

import java.io.File;
import java.util.Collection;
import java.util.Collections;

import org.openprovenance.model.OPMGraph;

import org.openrdf.elmo.ElmoModule;
import org.openrdf.elmo.ElmoManagerFactory;
import org.openrdf.elmo.ElmoManager;
import org.openrdf.elmo.sesame.SesameManagerFactory;
import org.openrdf.elmo.sesame.SesameManager;

import org.openrdf.rio.RDFFormat;
import javax.xml.bind.JAXBException;

public class RdfTest extends ExampleTest {

    static String TEST_NS="http://example.com/pc1-annotation/";

    static ElmoManager        manager=null;
    static ElmoManagerFactory factory=null;
    static RepositoryHelper   rHelper=null;
    static ElmoModule         module =null;

    static boolean initialized=false;

    static void initializeElmo() {
        module = new ElmoModule();
        rHelper=new RepositoryHelper();
        rHelper.registerConcepts(module);
        factory = new SesameManagerFactory(module);
        manager = factory.createElmoManager();
        oFactory=new RdfOPMFactory(new RdfObjectFactory(manager,TEST_NS));

    }

    public RdfTest( String testName )
    {
        super( testName );
        if (!initialized) {
            initializeElmo();
            initialized=true;
        }
    }

    Collection<String[]> prefixes=Collections.singleton(new String[]{"ex",TEST_NS});

    static OPMGraph graph1;



    public void testOPM1() throws javax.xml.bind.JAXBException {
    }
    public void testOPM2() throws JAXBException    {}
    public void testOPM3() throws JAXBException    {}
    public void testOPM4() throws JAXBException , java.io.FileNotFoundException, java.io.IOException   {}

    public void testOPM1SaveToN3() throws Exception {
        super.testOPM1();

        
        File file = new File("target/example.n3");
        assert manager!=null;
        rHelper.dumpToRDF(file,(SesameManager)manager,RDFFormat.N3,prefixes);
    }




}